package com.yidianling.ydlcommon.custom.mvp

/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/01/29
 *
 * 基础 presenter 接口，泛型分别为 view 类型和 model 类型
 */
interface MVPPresenter<in V: MVPView, out M: MVPModel> {

    fun createModel(): M

    fun onViewDestroy()
}